B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11
@EndOfDesignText@
Sub Class_Globals
	Public result As List
	Public job As HttpJob
	Public Jobname As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

Public Sub GetURL(param1 As String, param2 As String) As String
	Dim apipath As String=""
	Select Case Jobname
		Case "GetPat"
			apipath="/DPMService/api/Service_View_Pat"
			
		Case "GetPatName"
			apipath="/DPMService/api/Service_View_Pat/search"
	End Select
	If param1<>"" Then apipath=apipath&"/"&param1
	If param2<>"" Then apipath=apipath&"/"&param2
	
	Return AllgFnkt.sURL&apipath
End Sub




